﻿@model BeerOverflow.Web.Models.BeerViewModel

@{
    ViewData["Title"] = "Details";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1>Details</h1>

<div>
    <h4>Beer</h4>
    <div>
        @if (User.Identity.IsAuthenticated)
        {
            @Html.ActionLink("Add to Wish List", "AddToWishList",
                    new { beerId = Model.Id, userName = User.Identity.Name },
                    new { @class = "btn btn-outline-primary btn-sm" })
            @Html.ActionLink("Add to Drank List", "AddToDrankList",
                    new { beerId = Model.Id, userName = User.Identity.Name },
                    new { @class = "btn btn-outline-primary btn-sm" })
            @Html.ActionLink("Edit", "Edit",
                    new { id = Model.Id },
                    new { @class = "btn btn-outline-primary btn-sm" })
            @Html.ActionLink("Delete", "Delete",
                    new { id = Model.Id },
                    new { @class = "btn btn-outline-danger btn-sm" })
        }
        @Html.ActionLink("Back to List", "Index",
                    new { @class = "btn btn-outline-primary btn-sm" })
    </div>
    <hr />
    <dl class="row">
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Name)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Name)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Type)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Type)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Brewery)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Brewery)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Country)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Country)
        </dd>
        <dt class="col-sm-2">
            Alcohol Precentage
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.AlcoholPercentage)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Rating)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Rating)
            (@Html.DisplayFor(model => model.RatingCount))<br />

            @if (!Model.RatingUserNames.Contains(User.Identity.Name) && User.Identity.IsAuthenticated)
            {
                @Html.ActionLink("1", "AddRating",
                        new { Id = Model.Id, rating = 1, userName = User.Identity.Name },
                        new { @class = "btn btn-outline-primary btn-sm" })
                @Html.ActionLink("2", "AddRating",
                        new { Id = Model.Id, rating = 2, userName = User.Identity.Name },
                        new { @class = "btn btn-outline-primary btn-sm" })
                @Html.ActionLink("3", "AddRating",
                        new { Id = Model.Id, rating = 3, userName = User.Identity.Name },
                        new { @class = "btn btn-outline-primary btn-sm" })
                @Html.ActionLink("4", "AddRating",
                        new { Id = Model.Id, rating = 4, userName = User.Identity.Name },
                        new { @class = "btn btn-outline-primary btn-sm" })
                @Html.ActionLink("5", "AddRating",
                        new { Id = Model.Id, rating = 5, userName = User.Identity.Name },
                        new { @class = "btn btn-outline-primary btn-sm" })
            }
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Reviews)
        </dt>
        <dd class="col-sm-10">
            @if (User.Identity.IsAuthenticated)
            {
                @using (Html.BeginForm("AddReview", "Beers", FormMethod.Post))
                {
                    @Html.TextBoxFor(model => model.NewReview)
                    @Html.Hidden("Id")
                    <button type="submit">Submit</button>
                }
                @*@Html.ActionLink("Submit", "AddReview",
                         new { beerId = Model.Id, userName = User.Identity.Name },
                         new { @class = "btn btn-primary btn-sm" })*@
            }

            @foreach (var review in Model.Reviews)
            {
                <p>
                    Review: @review.Text<br />
                    Reviewer: @review.Reviewer<br />
                    Likes: @review.Likes<br />
                    Dislikes: @review.Dislikes<br />

                    @if (User.Identity.IsAuthenticated)
                    {
                        @Html.ActionLink("Like", "LikeReview",
                        new { beerId = review.BeerId, userId = review.UserId },
                        new { @class = "btn btn-outline-primary btn-sm" })
                        @Html.ActionLink("Dislike", "DislikeReview",
                        new { beerId = review.BeerId, userId = review.UserId },
                        new { @class = "btn btn-outline-danger btn-sm" })<br />
                    }
                    ==========================<br />
                </p>
            }
        </dd>
    </dl>
</div>
